=== debian/changelog ===
monodevelop (4.0.12+dfsg-2) unstable; urgency=low

  * [622568c] Use OS-provided Mono.Addins, not bundled project

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 17:21:21 +0200

monodevelop (4.0.12+dfsg-1) unstable; urgency=low

  * [5dcb6e1] Fix debian/watch for new source tarball name format
  * [5c68cb5] Refresh list of files removed by get-orig-source to 
    reflect 4.0.12
  * [96d60a0] Imported Upstream version 4.0.12+dfsg
  * [b989752] Refresh debian/patches/no_appmenu to ensure it applies
  * [2a4c351] Ensure every assembly in external/ is cleaned properly
  * [92762f7] Add more excluded Mac-specific modulerefs
  * [bc698ba] Add symlinks to NUnit assemblies (Closes: #714246)

 -- Jo Shields <directhex@apebox.org>  Thu, 10 Oct 2013 14:50:04 +0200

monodevelop (4.0.5+dfsg-1) unstable; urgency=low

  * [a01b51d] Imported Upstream version 4.0+dfsg
  * [fce0339] Remove obsolete patch 
    fix_gettext_install_location_53282c9.patch
  * [8845d36] Remove obsolete patch link_system_nunit.patch - xbuild always 
    searches for system libraries to link against if we delete the bundled 
    versions.
  * [9060006] Remove obsolete patch use_libsvn1.patch - we don't need this, 
    since we can --exclude-moduleref these days when never-used libs are 
    referenced in platform-specific code.
  * [ec61152] Remove obsolete patch use_libapr1.patch - we don't need this, 
    since we can --exclude-moduleref these days when never-used libs are 
    referenced in platform-specific code.
  * [182e98c] Strangely, if you have multiple versions of the same library 
    installed (i.e. MVC) then the lowest numbered is used for xbuild 
    assembly references, which breaks the build. Force MVC3 since that 
    works (i.e. the code requires a Razor-capable MVC)
  * [9596fba] Exclude a bundle of extra Mac/Windows-specific modulerefs
  * [55ba361] Specifically require mono-devel 3.0+, to pull in MVC3
  * [dd232c9] Reference Xamarin Studio in debian/control, so searches in
    apt-cache match this package
  * [6adcafb] Remove the commented Moonlight stuff in debian/control, that 
    stuff is never coming back
  * [b66fae7] Fix package description for monodevelop-versioncontrol to 
    mention Git.
  * [4bfbce8] Specifically depend on the SGen garbage collector, since 
    upstream now recommends its use with MonoDevelop
  * [76fb6c7] Imported Upstream version 4.0.4+dfsg
  * [f2b85f9] Refresh list of files removed by +dfsg
  * [846e28a] Imported Upstream version 4.0.5+dfsg

 -- Jo Shields <directhex@apebox.org>  Sun, 12 May 2013 09:46:03 +0100
